package com.yunzhupaas.mdm.service;

import com.yunzhupaas.mdm.entity.*;
import com.yunzhupaas.base.service.SuperService;
import com.yunzhupaas.mdm.model.product.*;
import java.util.*;

/**
 * 商品信息
 * 版本： V5.2.7
 * 版权： Copyright @ 2025  深圳市乐程软件有限公司版权所有
 * 作者： 深圳市乐程软件有限公司
 * 日期： 2026-04-27
 */
public interface ProductsService extends SuperService<ProductEntity> {
    List<ProductEntity> getList(ProductPagination productPagination);

    List<ProductEntity> getTypeList(ProductPagination productPagination,String dataType);

    ProductEntity getInfo(String productid);

    void delete(ProductEntity entity);

    void create(ProductEntity entity);

    boolean update(String productid, ProductEntity entity);

	String checkForm(ProductForm form,int i);

    void saveOrUpdate(ProductForm productForm,String id, boolean isSave) throws Exception;
}
